Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Robert Muir-2
The latest 8.x failure seems to be related to POM files from solr gcs
repository. I don't currently know what is needed to move this along.

On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
<[hidden email]> wrote:

>
> Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
>
> No tests ran.
>
> Build Log:
> [...truncated 28456 lines...]
> BUILD FAILED
> /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
>
> Total time: 7 minutes 13 seconds
> Build step 'Invoke Ant' marked build as failure
> Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> Email was triggered for: Failure - Any
> Sending email for trigger: Failure - Any
> Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Jason Gerlowski
Hey all,

This is my fault.  Will look at fixing it this morning.  Sorry for the
disruption!

If this is blocking anyone, let me know and I'll revert the offending
commit while I investigate the cause.  Otherwise I'll just leave it
as-is and push to have a fix as soon as I can.

Jason

On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:

>
> The latest 8.x failure seems to be related to POM files from solr gcs
> repository. I don't currently know what is needed to move this along.
>
> On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> <[hidden email]> wrote:
> >
> > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> >
> > No tests ran.
> >
> > Build Log:
> > [...truncated 28456 lines...]
> > BUILD FAILED
> > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> >
> > Total time: 7 minutes 13 seconds
> > Build step 'Invoke Ant' marked build as failure
> > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > Email was triggered for: Failure - Any
> > Sending email for trigger: Failure - Any
> > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Jason Gerlowski
I pushed a commit to branch_8x yesterday that I expect has fixed this.
The 'generate-maven-artifacts' task now succeeds for me locally at
least.

The Jenkins job failed in the overnight run, but it looks to be a
consequence of the release process that Mayya has in flight:

"RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"

If anyone sees the "gcs-repository" related error message crop up
anywhere else, please let me know.

Jason

On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:

>
> Hey all,
>
> This is my fault.  Will look at fixing it this morning.  Sorry for the
> disruption!
>
> If this is blocking anyone, let me know and I'll revert the offending
> commit while I investigate the cause.  Otherwise I'll just leave it
> as-is and push to have a fix as soon as I can.
>
> Jason
>
> On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >
> > The latest 8.x failure seems to be related to POM files from solr gcs
> > repository. I don't currently know what is needed to move this along.
> >
> > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> > <[hidden email]> wrote:
> > >
> > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> > >
> > > No tests ran.
> > >
> > > Build Log:
> > > [...truncated 28456 lines...]
> > > BUILD FAILED
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> > >
> > > Total time: 7 minutes 13 seconds
> > > Build step 'Invoke Ant' marked build as failure
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Email was triggered for: Failure - Any
> > > Sending email for trigger: Failure - Any
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Mayya Sharipova-2
Hello Jason,
thanks for the update.

While trying to build a release candidate and doing  the smoke test, I am getting the following error:
RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"

I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?

I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".

On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
I pushed a commit to branch_8x yesterday that I expect has fixed this.
The 'generate-maven-artifacts' task now succeeds for me locally at
least.

The Jenkins job failed in the overnight run, but it looks to be a
consequence of the release process that Mayya has in flight:

"RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"

If anyone sees the "gcs-repository" related error message crop up
anywhere else, please let me know.

Jason

On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
>
> Hey all,
>
> This is my fault.  Will look at fixing it this morning.  Sorry for the
> disruption!
>
> If this is blocking anyone, let me know and I'll revert the offending
> commit while I investigate the cause.  Otherwise I'll just leave it
> as-is and push to have a fix as soon as I can.
>
> Jason
>
> On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >
> > The latest 8.x failure seems to be related to POM files from solr gcs
> > repository. I don't currently know what is needed to move this along.
> >
> > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> > <[hidden email]> wrote:
> > >
> > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> > >
> > > No tests ran.
> > >
> > > Build Log:
> > > [...truncated 28456 lines...]
> > > BUILD FAILED
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> > >
> > > Total time: 7 minutes 13 seconds
> > > Build step 'Invoke Ant' marked build as failure
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Email was triggered for: Failure - Any
> > > Sending email for trigger: Failure - Any
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Jason Gerlowski
Hey Mayya,

My "fix" on branch_8x is already present in 8.9: see
c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
there's still other problems though.

I'll look into this on my end for sure.  Do you happen to have the
command that reproduced this for you?  Or understand what "sheisty"
means here haha?

Jason

On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
<[hidden email]> wrote:

>
> Hello Jason,
> thanks for the update.
>
> While trying to build a release candidate and doing  the smoke test, I am getting the following error:
> RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
>
> I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
>
> I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
>
> On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
>>
>> I pushed a commit to branch_8x yesterday that I expect has fixed this.
>> The 'generate-maven-artifacts' task now succeeds for me locally at
>> least.
>>
>> The Jenkins job failed in the overnight run, but it looks to be a
>> consequence of the release process that Mayya has in flight:
>>
>> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
>> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
>>
>> If anyone sees the "gcs-repository" related error message crop up
>> anywhere else, please let me know.
>>
>> Jason
>>
>> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
>> >
>> > Hey all,
>> >
>> > This is my fault.  Will look at fixing it this morning.  Sorry for the
>> > disruption!
>> >
>> > If this is blocking anyone, let me know and I'll revert the offending
>> > commit while I investigate the cause.  Otherwise I'll just leave it
>> > as-is and push to have a fix as soon as I can.
>> >
>> > Jason
>> >
>> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
>> > >
>> > > The latest 8.x failure seems to be related to POM files from solr gcs
>> > > repository. I don't currently know what is needed to move this along.
>> > >
>> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
>> > > <[hidden email]> wrote:
>> > > >
>> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
>> > > >
>> > > > No tests ran.
>> > > >
>> > > > Build Log:
>> > > > [...truncated 28456 lines...]
>> > > > BUILD FAILED
>> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
>> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
>> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
>> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
>> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
>> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
>> > > >
>> > > > Total time: 7 minutes 13 seconds
>> > > > Build step 'Invoke Ant' marked build as failure
>> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > > > Email was triggered for: Failure - Any
>> > > > Sending email for trigger: Failure - Any
>> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > >
>> > > ---------------------------------------------------------------------
>> > > To unsubscribe, e-mail: [hidden email]
>> > > For additional commands, e-mail: [hidden email]
>> > >
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Jason Gerlowski
> Do you happen to have the command that reproduced this for you?

To clarify, I know how to run the smoke-tester generally, but every
time I've run it in the past I've had a link to a specific RC, and I'm
not sure what to do without that.

Jason

On Mon, Jun 7, 2021 at 2:59 PM Jason Gerlowski <[hidden email]> wrote:

>
> Hey Mayya,
>
> My "fix" on branch_8x is already present in 8.9: see
> c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
> there's still other problems though.
>
> I'll look into this on my end for sure.  Do you happen to have the
> command that reproduced this for you?  Or understand what "sheisty"
> means here haha?
>
> Jason
>
> On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
> <[hidden email]> wrote:
> >
> > Hello Jason,
> > thanks for the update.
> >
> > While trying to build a release candidate and doing  the smoke test, I am getting the following error:
> > RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
> >
> > I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
> >
> > I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
> >
> > On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
> >>
> >> I pushed a commit to branch_8x yesterday that I expect has fixed this.
> >> The 'generate-maven-artifacts' task now succeeds for me locally at
> >> least.
> >>
> >> The Jenkins job failed in the overnight run, but it looks to be a
> >> consequence of the release process that Mayya has in flight:
> >>
> >> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
> >> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
> >>
> >> If anyone sees the "gcs-repository" related error message crop up
> >> anywhere else, please let me know.
> >>
> >> Jason
> >>
> >> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
> >> >
> >> > Hey all,
> >> >
> >> > This is my fault.  Will look at fixing it this morning.  Sorry for the
> >> > disruption!
> >> >
> >> > If this is blocking anyone, let me know and I'll revert the offending
> >> > commit while I investigate the cause.  Otherwise I'll just leave it
> >> > as-is and push to have a fix as soon as I can.
> >> >
> >> > Jason
> >> >
> >> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >> > >
> >> > > The latest 8.x failure seems to be related to POM files from solr gcs
> >> > > repository. I don't currently know what is needed to move this along.
> >> > >
> >> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> >> > > <[hidden email]> wrote:
> >> > > >
> >> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> >> > > >
> >> > > > No tests ran.
> >> > > >
> >> > > > Build Log:
> >> > > > [...truncated 28456 lines...]
> >> > > > BUILD FAILED
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> >> > > >
> >> > > > Total time: 7 minutes 13 seconds
> >> > > > Build step 'Invoke Ant' marked build as failure
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Email was triggered for: Failure - Any
> >> > > > Sending email for trigger: Failure - Any
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >
> >> > > ---------------------------------------------------------------------
> >> > > To unsubscribe, e-mail: [hidden email]
> >> > > For additional commands, e-mail: [hidden email]
> >> > >
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: [hidden email]
> >> For additional commands, e-mail: [hidden email]
> >>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Robert Muir
In reply to this post by Jason Gerlowski
Sheisty means classes that collide with jdk packages. E.g. this
javax.annotation looks like a problem, as it collides with existing
jdk package in an xml module:
https://docs.oracle.com/javase/8/docs/api/javax/annotation/package-summary.html

Looks like the whole jar being used here is archived/deprecated [1] in
favor of "jakarta annotations" [2] which uses a new
non-colliding/jar-helling "jakarta.annotation" package/module:

1. https://github.com/javaee/javax.annotation/
2. https://github.com/eclipse-ee4j/common-annotations-api




M

On Mon, Jun 7, 2021 at 2:59 PM Jason Gerlowski <[hidden email]> wrote:

>
> Hey Mayya,
>
> My "fix" on branch_8x is already present in 8.9: see
> c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
> there's still other problems though.
>
> I'll look into this on my end for sure.  Do you happen to have the
> command that reproduced this for you?  Or understand what "sheisty"
> means here haha?
>
> Jason
>
> On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
> <[hidden email]> wrote:
> >
> > Hello Jason,
> > thanks for the update.
> >
> > While trying to build a release candidate and doing  the smoke test, I am getting the following error:
> > RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
> >
> > I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
> >
> > I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
> >
> > On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
> >>
> >> I pushed a commit to branch_8x yesterday that I expect has fixed this.
> >> The 'generate-maven-artifacts' task now succeeds for me locally at
> >> least.
> >>
> >> The Jenkins job failed in the overnight run, but it looks to be a
> >> consequence of the release process that Mayya has in flight:
> >>
> >> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
> >> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
> >>
> >> If anyone sees the "gcs-repository" related error message crop up
> >> anywhere else, please let me know.
> >>
> >> Jason
> >>
> >> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
> >> >
> >> > Hey all,
> >> >
> >> > This is my fault.  Will look at fixing it this morning.  Sorry for the
> >> > disruption!
> >> >
> >> > If this is blocking anyone, let me know and I'll revert the offending
> >> > commit while I investigate the cause.  Otherwise I'll just leave it
> >> > as-is and push to have a fix as soon as I can.
> >> >
> >> > Jason
> >> >
> >> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >> > >
> >> > > The latest 8.x failure seems to be related to POM files from solr gcs
> >> > > repository. I don't currently know what is needed to move this along.
> >> > >
> >> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> >> > > <[hidden email]> wrote:
> >> > > >
> >> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> >> > > >
> >> > > > No tests ran.
> >> > > >
> >> > > > Build Log:
> >> > > > [...truncated 28456 lines...]
> >> > > > BUILD FAILED
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> >> > > >
> >> > > > Total time: 7 minutes 13 seconds
> >> > > > Build step 'Invoke Ant' marked build as failure
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Email was triggered for: Failure - Any
> >> > > > Sending email for trigger: Failure - Any
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >
> >> > > ---------------------------------------------------------------------
> >> > > To unsubscribe, e-mail: [hidden email]
> >> > > For additional commands, e-mail: [hidden email]
> >> > >
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: [hidden email]
> >> For additional commands, e-mail: [hidden email]
> >>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Mayya Sharipova-2
Thanks Robert for the explanation.

Jason, thank you for your reply and investigations.

> Do you happen to have the command that reproduced this for you?
You can see the build failures in Jenkins.  The last 3 failures were after June 2nd, and all contained similar failures about sheisty classes in solr.

About specific RC for the smoke-tester, I think you can first build a release locally with buildAndPushRelease.py script, and then use this local release for the smoke tester.

I've also looked at the failure on 8.x branch: "Future release 8.9.0 is greater than 8.10.0", and it looks like smokeTestRelease.py fails to correctly compare v8.10.0 > v8.9.0, as (('8', '10', '0') < ('8', '9', '0')).





On Mon, Jun 7, 2021 at 3:24 PM Robert Muir <[hidden email]> wrote:
Sheisty means classes that collide with jdk packages. E.g. this
javax.annotation looks like a problem, as it collides with existing
jdk package in an xml module:
https://docs.oracle.com/javase/8/docs/api/javax/annotation/package-summary.html

Looks like the whole jar being used here is archived/deprecated [1] in
favor of "jakarta annotations" [2] which uses a new
non-colliding/jar-helling "jakarta.annotation" package/module:

1. https://github.com/javaee/javax.annotation/
2. https://github.com/eclipse-ee4j/common-annotations-api




M

On Mon, Jun 7, 2021 at 2:59 PM Jason Gerlowski <[hidden email]> wrote:
>
> Hey Mayya,
>
> My "fix" on branch_8x is already present in 8.9: see
> c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
> there's still other problems though.
>
> I'll look into this on my end for sure.  Do you happen to have the
> command that reproduced this for you?  Or understand what "sheisty"
> means here haha?
>
> Jason
>
> On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
> <[hidden email].invalid> wrote:
> >
> > Hello Jason,
> > thanks for the update.
> >
> > While trying to build a release candidate and doing  the smoke test, I am getting the following error:
> > RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
> >
> > I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
> >
> > I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
> >
> > On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
> >>
> >> I pushed a commit to branch_8x yesterday that I expect has fixed this.
> >> The 'generate-maven-artifacts' task now succeeds for me locally at
> >> least.
> >>
> >> The Jenkins job failed in the overnight run, but it looks to be a
> >> consequence of the release process that Mayya has in flight:
> >>
> >> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
> >> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
> >>
> >> If anyone sees the "gcs-repository" related error message crop up
> >> anywhere else, please let me know.
> >>
> >> Jason
> >>
> >> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
> >> >
> >> > Hey all,
> >> >
> >> > This is my fault.  Will look at fixing it this morning.  Sorry for the
> >> > disruption!
> >> >
> >> > If this is blocking anyone, let me know and I'll revert the offending
> >> > commit while I investigate the cause.  Otherwise I'll just leave it
> >> > as-is and push to have a fix as soon as I can.
> >> >
> >> > Jason
> >> >
> >> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >> > >
> >> > > The latest 8.x failure seems to be related to POM files from solr gcs
> >> > > repository. I don't currently know what is needed to move this along.
> >> > >
> >> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> >> > > <[hidden email]> wrote:
> >> > > >
> >> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> >> > > >
> >> > > > No tests ran.
> >> > > >
> >> > > > Build Log:
> >> > > > [...truncated 28456 lines...]
> >> > > > BUILD FAILED
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> >> > > >
> >> > > > Total time: 7 minutes 13 seconds
> >> > > > Build step 'Invoke Ant' marked build as failure
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Email was triggered for: Failure - Any
> >> > > > Sending email for trigger: Failure - Any
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >
> >> > > ---------------------------------------------------------------------
> >> > > To unsubscribe, e-mail: [hidden email]
> >> > > For additional commands, e-mail: [hidden email]
> >> > >
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: [hidden email]
> >> For additional commands, e-mail: [hidden email]
> >>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Christine Poerschke (BLOOMBERG/ LONDON)
In reply to this post by Robert Muir-2
I've opened https://github.com/apache/lucene-solr/pull/2509 for the v8.10.0 > v8.9.0 comparison issue. Hope that helps.

From: [hidden email] At: 06/08/21 01:28:25 UTC+1:00
To: [hidden email]
Subject: Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Thanks Robert for the explanation.

Jason, thank you for your reply and investigations.

> Do you happen to have the command that reproduced this for you?
You can see the build failures in Jenkins.  The last 3 failures were after June 2nd, and all contained similar failures about sheisty classes in solr.

About specific RC for the smoke-tester, I think you can first build a release locally with buildAndPushRelease.py script, and then use this local release for the smoke tester.

I've also looked at the failure on 8.x branch: "Future release 8.9.0 is greater than 8.10.0", and it looks like smokeTestRelease.py fails to correctly compare v8.10.0 > v8.9.0, as (('8', '10', '0') < ('8', '9', '0')).





On Mon, Jun 7, 2021 at 3:24 PM Robert Muir <[hidden email]> wrote:
Sheisty means classes that collide with jdk packages. E.g. this
javax.annotation looks like a problem, as it collides with existing
jdk package in an xml module:
https://docs.oracle.com/javase/8/docs/api/javax/annotation/package-summary.html

Looks like the whole jar being used here is archived/deprecated [1] in
favor of "jakarta annotations" [2] which uses a new
non-colliding/jar-helling "jakarta.annotation" package/module:

1. https://github.com/javaee/javax.annotation/
2. https://github.com/eclipse-ee4j/common-annotations-api




M

On Mon, Jun 7, 2021 at 2:59 PM Jason Gerlowski <[hidden email]> wrote:

>
> Hey Mayya,
>
> My "fix" on branch_8x is already present in 8.9: see
> c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
> there's still other problems though.
>
> I'll look into this on my end for sure.  Do you happen to have the
> command that reproduced this for you?  Or understand what "sheisty"
> means here haha?
>
> Jason
>
> On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
> <[hidden email].invalid> wrote:
> >
> > Hello Jason,
> > thanks for the update.
> >
> > While trying to build a release candidate and doing  the smoke test, I am getting the following error:
> > RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
> >
> > I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
> >
> > I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
> >
> > On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
> >>
> >> I pushed a commit to branch_8x yesterday that I expect has fixed this.
> >> The 'generate-maven-artifacts' task now succeeds for me locally at
> >> least.
> >>
> >> The Jenkins job failed in the overnight run, but it looks to be a
> >> consequence of the release process that Mayya has in flight:
> >>
> >> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
> >> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
> >>
> >> If anyone sees the "gcs-repository" related error message crop up
> >> anywhere else, please let me know.
> >>
> >> Jason
> >>
> >> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
> >> >
> >> > Hey all,
> >> >
> >> > This is my fault.  Will look at fixing it this morning.  Sorry for the
> >> > disruption!
> >> >
> >> > If this is blocking anyone, let me know and I'll revert the offending
> >> > commit while I investigate the cause.  Otherwise I'll just leave it
> >> > as-is and push to have a fix as soon as I can.
> >> >
> >> > Jason
> >> >
> >> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >> > >
> >> > > The latest 8.x failure seems to be related to POM files from solr gcs
> >> > > repository. I don't currently know what is needed to move this along.
> >> > >
> >> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> >> > > <[hidden email]> wrote:
> >> > > >
> >> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> >> > > >
> >> > > > No tests ran.
> >> > > >
> >> > > > Build Log:
> >> > > > [...truncated 28456 lines...]
> >> > > > BUILD FAILED
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> >> > > >
> >> > > > Total time: 7 minutes 13 seconds
> >> > > > Build step 'Invoke Ant' marked build as failure
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Email was triggered for: Failure - Any
> >> > > > Sending email for trigger: Failure - Any
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >
> >> > > ---------------------------------------------------------------------
> >> > > To unsubscribe, e-mail: [hidden email]
> >> > > For additional commands, e-mail: [hidden email]
> >> > >
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: [hidden email]
> >> For additional commands, e-mail: [hidden email]
> >>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Jason Gerlowski
Hey all,

Quick update: I've removed the javax.annotation dependency declaration
that the build didn't like.  Precommit and tests pass.  I've pushed
the fix to branch_8_9.  I'm currently running buildAndPushRelease.py +
smoke-tester and will give the all-clear once I see that pass.

Sorry to hold things up on the release!

Jason

On Tue, Jun 8, 2021 at 4:17 AM Christine Poerschke (BLOOMBERG/ LONDON)
<[hidden email]> wrote:

>
> I've opened https://github.com/apache/lucene-solr/pull/2509 for the v8.10.0 > v8.9.0 comparison issue. Hope that helps.
>
> From: [hidden email] At: 06/08/21 01:28:25 UTC+1:00
> To: [hidden email]
> Subject: Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!
>
> Thanks Robert for the explanation.
>
> Jason, thank you for your reply and investigations.
>
> > Do you happen to have the command that reproduced this for you?
> You can see the build failures in Jenkins.  The last 3 failures were after June 2nd, and all contained similar failures about sheisty classes in solr.
>
> About specific RC for the smoke-tester, I think you can first build a release locally with buildAndPushRelease.py script, and then use this local release for the smoke tester.
>
> I've also looked at the failure on 8.x branch: "Future release 8.9.0 is greater than 8.10.0", and it looks like smokeTestRelease.py fails to correctly compare v8.10.0 > v8.9.0, as (('8', '10', '0') < ('8', '9', '0')).
>
>
>
>
>
> On Mon, Jun 7, 2021 at 3:24 PM Robert Muir <[hidden email]> wrote:
>>
>> Sheisty means classes that collide with jdk packages. E.g. this
>> javax.annotation looks like a problem, as it collides with existing
>> jdk package in an xml module:
>> https://docs.oracle.com/javase/8/docs/api/javax/annotation/package-summary.html
>>
>> Looks like the whole jar being used here is archived/deprecated [1] in
>> favor of "jakarta annotations" [2] which uses a new
>> non-colliding/jar-helling "jakarta.annotation" package/module:
>>
>> 1. https://github.com/javaee/javax.annotation/
>> 2. https://github.com/eclipse-ee4j/common-annotations-api
>>
>>
>>
>>
>> M
>>
>> On Mon, Jun 7, 2021 at 2:59 PM Jason Gerlowski <[hidden email]> wrote:
>> >
>> > Hey Mayya,
>> >
>> > My "fix" on branch_8x is already present in 8.9: see
>> > c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
>> > there's still other problems though.
>> >
>> > I'll look into this on my end for sure.  Do you happen to have the
>> > command that reproduced this for you?  Or understand what "sheisty"
>> > means here haha?
>> >
>> > Jason
>> >
>> > On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
>> > <[hidden email]> wrote:
>> > >
>> > > Hello Jason,
>> > > thanks for the update.
>> > >
>> > > While trying to build a release candidate and doing  the smoke test, I am getting the following error:
>> > > RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
>> > >
>> > > I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
>> > >
>> > > I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
>> > >
>> > > On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
>> > >>
>> > >> I pushed a commit to branch_8x yesterday that I expect has fixed this.
>> > >> The 'generate-maven-artifacts' task now succeeds for me locally at
>> > >> least.
>> > >>
>> > >> The Jenkins job failed in the overnight run, but it looks to be a
>> > >> consequence of the release process that Mayya has in flight:
>> > >>
>> > >> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
>> > >> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
>> > >>
>> > >> If anyone sees the "gcs-repository" related error message crop up
>> > >> anywhere else, please let me know.
>> > >>
>> > >> Jason
>> > >>
>> > >> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
>> > >> >
>> > >> > Hey all,
>> > >> >
>> > >> > This is my fault.  Will look at fixing it this morning.  Sorry for the
>> > >> > disruption!
>> > >> >
>> > >> > If this is blocking anyone, let me know and I'll revert the offending
>> > >> > commit while I investigate the cause.  Otherwise I'll just leave it
>> > >> > as-is and push to have a fix as soon as I can.
>> > >> >
>> > >> > Jason
>> > >> >
>> > >> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
>> > >> > >
>> > >> > > The latest 8.x failure seems to be related to POM files from solr gcs
>> > >> > > repository. I don't currently know what is needed to move this along.
>> > >> > >
>> > >> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
>> > >> > > <[hidden email]> wrote:
>> > >> > > >
>> > >> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
>> > >> > > >
>> > >> > > > No tests ran.
>> > >> > > >
>> > >> > > > Build Log:
>> > >> > > > [...truncated 28456 lines...]
>> > >> > > > BUILD FAILED
>> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
>> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
>> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
>> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
>> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
>> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
>> > >> > > >
>> > >> > > > Total time: 7 minutes 13 seconds
>> > >> > > > Build step 'Invoke Ant' marked build as failure
>> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > >> > > > Email was triggered for: Failure - Any
>> > >> > > > Sending email for trigger: Failure - Any
>> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
>> > >> > >
>> > >> > > ---------------------------------------------------------------------
>> > >> > > To unsubscribe, e-mail: [hidden email]
>> > >> > > For additional commands, e-mail: [hidden email]
>> > >> > >
>> > >>
>> > >> ---------------------------------------------------------------------
>> > >> To unsubscribe, e-mail: [hidden email]
>> > >> For additional commands, e-mail: [hidden email]
>> > >>
>> >
>> > ---------------------------------------------------------------------
>> > To unsubscribe, e-mail: [hidden email]
>> > For additional commands, e-mail: [hidden email]
>> >
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Jason Gerlowski
Looks like the latest changes did the trick - the smoke-release job
passed overnight:
https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.9/7/

Sorry to block you for a bit Mayya; good luck with the rest of the release!

Jason

On Wed, Jun 9, 2021 at 10:07 AM Jason Gerlowski <[hidden email]> wrote:

>
> Hey all,
>
> Quick update: I've removed the javax.annotation dependency declaration
> that the build didn't like.  Precommit and tests pass.  I've pushed
> the fix to branch_8_9.  I'm currently running buildAndPushRelease.py +
> smoke-tester and will give the all-clear once I see that pass.
>
> Sorry to hold things up on the release!
>
> Jason
>
> On Tue, Jun 8, 2021 at 4:17 AM Christine Poerschke (BLOOMBERG/ LONDON)
> <[hidden email]> wrote:
> >
> > I've opened https://github.com/apache/lucene-solr/pull/2509 for the v8.10.0 > v8.9.0 comparison issue. Hope that helps.
> >
> > From: [hidden email] At: 06/08/21 01:28:25 UTC+1:00
> > To: [hidden email]
> > Subject: Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!
> >
> > Thanks Robert for the explanation.
> >
> > Jason, thank you for your reply and investigations.
> >
> > > Do you happen to have the command that reproduced this for you?
> > You can see the build failures in Jenkins.  The last 3 failures were after June 2nd, and all contained similar failures about sheisty classes in solr.
> >
> > About specific RC for the smoke-tester, I think you can first build a release locally with buildAndPushRelease.py script, and then use this local release for the smoke tester.
> >
> > I've also looked at the failure on 8.x branch: "Future release 8.9.0 is greater than 8.10.0", and it looks like smokeTestRelease.py fails to correctly compare v8.10.0 > v8.9.0, as (('8', '10', '0') < ('8', '9', '0')).
> >
> >
> >
> >
> >
> > On Mon, Jun 7, 2021 at 3:24 PM Robert Muir <[hidden email]> wrote:
> >>
> >> Sheisty means classes that collide with jdk packages. E.g. this
> >> javax.annotation looks like a problem, as it collides with existing
> >> jdk package in an xml module:
> >> https://docs.oracle.com/javase/8/docs/api/javax/annotation/package-summary.html
> >>
> >> Looks like the whole jar being used here is archived/deprecated [1] in
> >> favor of "jakarta annotations" [2] which uses a new
> >> non-colliding/jar-helling "jakarta.annotation" package/module:
> >>
> >> 1. https://github.com/javaee/javax.annotation/
> >> 2. https://github.com/eclipse-ee4j/common-annotations-api
> >>
> >>
> >>
> >>
> >> M
> >>
> >> On Mon, Jun 7, 2021 at 2:59 PM Jason Gerlowski <[hidden email]> wrote:
> >> >
> >> > Hey Mayya,
> >> >
> >> > My "fix" on branch_8x is already present in 8.9: see
> >> > c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
> >> > there's still other problems though.
> >> >
> >> > I'll look into this on my end for sure.  Do you happen to have the
> >> > command that reproduced this for you?  Or understand what "sheisty"
> >> > means here haha?
> >> >
> >> > Jason
> >> >
> >> > On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
> >> > <[hidden email]> wrote:
> >> > >
> >> > > Hello Jason,
> >> > > thanks for the update.
> >> > >
> >> > > While trying to build a release candidate and doing  the smoke test, I am getting the following error:
> >> > > RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
> >> > >
> >> > > I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
> >> > >
> >> > > I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
> >> > >
> >> > > On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
> >> > >>
> >> > >> I pushed a commit to branch_8x yesterday that I expect has fixed this.
> >> > >> The 'generate-maven-artifacts' task now succeeds for me locally at
> >> > >> least.
> >> > >>
> >> > >> The Jenkins job failed in the overnight run, but it looks to be a
> >> > >> consequence of the release process that Mayya has in flight:
> >> > >>
> >> > >> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
> >> > >> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
> >> > >>
> >> > >> If anyone sees the "gcs-repository" related error message crop up
> >> > >> anywhere else, please let me know.
> >> > >>
> >> > >> Jason
> >> > >>
> >> > >> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
> >> > >> >
> >> > >> > Hey all,
> >> > >> >
> >> > >> > This is my fault.  Will look at fixing it this morning.  Sorry for the
> >> > >> > disruption!
> >> > >> >
> >> > >> > If this is blocking anyone, let me know and I'll revert the offending
> >> > >> > commit while I investigate the cause.  Otherwise I'll just leave it
> >> > >> > as-is and push to have a fix as soon as I can.
> >> > >> >
> >> > >> > Jason
> >> > >> >
> >> > >> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >> > >> > >
> >> > >> > > The latest 8.x failure seems to be related to POM files from solr gcs
> >> > >> > > repository. I don't currently know what is needed to move this along.
> >> > >> > >
> >> > >> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> >> > >> > > <[hidden email]> wrote:
> >> > >> > > >
> >> > >> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> >> > >> > > >
> >> > >> > > > No tests ran.
> >> > >> > > >
> >> > >> > > > Build Log:
> >> > >> > > > [...truncated 28456 lines...]
> >> > >> > > > BUILD FAILED
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> >> > >> > > >
> >> > >> > > > Total time: 7 minutes 13 seconds
> >> > >> > > > Build step 'Invoke Ant' marked build as failure
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Email was triggered for: Failure - Any
> >> > >> > > > Sending email for trigger: Failure - Any
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > >
> >> > >> > > ---------------------------------------------------------------------
> >> > >> > > To unsubscribe, e-mail: [hidden email]
> >> > >> > > For additional commands, e-mail: [hidden email]
> >> > >> > >
> >> > >>
> >> > >> ---------------------------------------------------------------------
> >> > >> To unsubscribe, e-mail: [hidden email]
> >> > >> For additional commands, e-mail: [hidden email]
> >> > >>
> >> >
> >> > ---------------------------------------------------------------------
> >> > To unsubscribe, e-mail: [hidden email]
> >> > For additional commands, e-mail: [hidden email]
> >> >
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: [hidden email]
> >> For additional commands, e-mail: [hidden email]
> >>
> >

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!

Mayya Sharipova-2
Thanks a lot, Jason! 
I

On Thu, Jun 10, 2021 at 6:54 AM Jason Gerlowski <[hidden email]> wrote:
Looks like the latest changes did the trick - the smoke-release job
passed overnight:
https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.9/7/

Sorry to block you for a bit Mayya; good luck with the rest of the release!

Jason

On Wed, Jun 9, 2021 at 10:07 AM Jason Gerlowski <[hidden email]> wrote:
>
> Hey all,
>
> Quick update: I've removed the javax.annotation dependency declaration
> that the build didn't like.  Precommit and tests pass.  I've pushed
> the fix to branch_8_9.  I'm currently running buildAndPushRelease.py +
> smoke-tester and will give the all-clear once I see that pass.
>
> Sorry to hold things up on the release!
>
> Jason
>
> On Tue, Jun 8, 2021 at 4:17 AM Christine Poerschke (BLOOMBERG/ LONDON)
> <[hidden email]> wrote:
> >
> > I've opened https://github.com/apache/lucene-solr/pull/2509 for the v8.10.0 > v8.9.0 comparison issue. Hope that helps.
> >
> > From: [hidden email] At: 06/08/21 01:28:25 UTC+1:00
> > To: [hidden email]
> > Subject: Re: [JENKINS] Lucene » Lucene-Solr-SmokeRelease-8.x - Build # 220 - Still Failing!
> >
> > Thanks Robert for the explanation.
> >
> > Jason, thank you for your reply and investigations.
> >
> > > Do you happen to have the command that reproduced this for you?
> > You can see the build failures in Jenkins.  The last 3 failures were after June 2nd, and all contained similar failures about sheisty classes in solr.
> >
> > About specific RC for the smoke-tester, I think you can first build a release locally with buildAndPushRelease.py script, and then use this local release for the smoke tester.
> >
> > I've also looked at the failure on 8.x branch: "Future release 8.9.0 is greater than 8.10.0", and it looks like smokeTestRelease.py fails to correctly compare v8.10.0 > v8.9.0, as (('8', '10', '0') < ('8', '9', '0')).
> >
> >
> >
> >
> >
> > On Mon, Jun 7, 2021 at 3:24 PM Robert Muir <[hidden email]> wrote:
> >>
> >> Sheisty means classes that collide with jdk packages. E.g. this
> >> javax.annotation looks like a problem, as it collides with existing
> >> jdk package in an xml module:
> >> https://docs.oracle.com/javase/8/docs/api/javax/annotation/package-summary.html
> >>
> >> Looks like the whole jar being used here is archived/deprecated [1] in
> >> favor of "jakarta annotations" [2] which uses a new
> >> non-colliding/jar-helling "jakarta.annotation" package/module:
> >>
> >> 1. https://github.com/javaee/javax.annotation/
> >> 2. https://github.com/eclipse-ee4j/common-annotations-api
> >>
> >>
> >>
> >>
> >> M
> >>
> >> On Mon, Jun 7, 2021 at 2:59 PM Jason Gerlowski <[hidden email]> wrote:
> >> >
> >> > Hey Mayya,
> >> >
> >> > My "fix" on branch_8x is already present in 8.9: see
> >> > c461c506ffc02d4f3d16c7a0b0ec4250ba79fb7d from June 2nd.  Evidently
> >> > there's still other problems though.
> >> >
> >> > I'll look into this on my end for sure.  Do you happen to have the
> >> > command that reproduced this for you?  Or understand what "sheisty"
> >> > means here haha?
> >> >
> >> > Jason
> >> >
> >> > On Mon, Jun 7, 2021 at 1:12 PM Mayya Sharipova
> >> > <[hidden email].invalid> wrote:
> >> > >
> >> > > Hello Jason,
> >> > > thanks for the update.
> >> > >
> >> > > While trying to build a release candidate and doing  the smoke test, I am getting the following error:
> >> > > RuntimeError: JAR file "../.lucene-releases/8.9.0/RC1/smoketest/unpack/solr-8.9.0/contrib/gcs-repository/lib/javax.annotation-api-1.3.2.jar" contains sheisty class "javax/annotation/sql/DataSourceDefinitions.class"
> >> > >
> >> > > I guess we would need to backport your changes to branch_8_9 as well. Would it be possible for you to do this?
> >> > >
> >> > > I will look into how to fix another error about "Future release 8.9.0 is greater than 8.10.0".
> >> > >
> >> > > On Thu, Jun 3, 2021 at 7:54 AM Jason Gerlowski <[hidden email]> wrote:
> >> > >>
> >> > >> I pushed a commit to branch_8x yesterday that I expect has fixed this.
> >> > >> The 'generate-maven-artifacts' task now succeeds for me locally at
> >> > >> least.
> >> > >>
> >> > >> The Jenkins job failed in the overnight run, but it looks to be a
> >> > >> consequence of the release process that Mayya has in flight:
> >> > >>
> >> > >> "RuntimeError: Future release 8.9.0 is greater than 8.10.0 in
> >> > >> file:///home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/smokeTestRelease/dist/lucene/changes/Changes.html"
> >> > >>
> >> > >> If anyone sees the "gcs-repository" related error message crop up
> >> > >> anywhere else, please let me know.
> >> > >>
> >> > >> Jason
> >> > >>
> >> > >> On Tue, Jun 1, 2021 at 7:55 AM Jason Gerlowski <[hidden email]> wrote:
> >> > >> >
> >> > >> > Hey all,
> >> > >> >
> >> > >> > This is my fault.  Will look at fixing it this morning.  Sorry for the
> >> > >> > disruption!
> >> > >> >
> >> > >> > If this is blocking anyone, let me know and I'll revert the offending
> >> > >> > commit while I investigate the cause.  Otherwise I'll just leave it
> >> > >> > as-is and push to have a fix as soon as I can.
> >> > >> >
> >> > >> > Jason
> >> > >> >
> >> > >> > On Sat, May 29, 2021 at 8:35 PM Robert Muir <[hidden email]> wrote:
> >> > >> > >
> >> > >> > > The latest 8.x failure seems to be related to POM files from solr gcs
> >> > >> > > repository. I don't currently know what is needed to move this along.
> >> > >> > >
> >> > >> > > On Sat, May 29, 2021 at 8:28 PM Apache Jenkins Server
> >> > >> > > <[hidden email]> wrote:
> >> > >> > > >
> >> > >> > > > Build: https://ci-builds.apache.org/job/Lucene/job/Lucene-Solr-SmokeRelease-8.x/220/
> >> > >> > > >
> >> > >> > > > No tests ran.
> >> > >> > > >
> >> > >> > > > Build Log:
> >> > >> > > > [...truncated 28456 lines...]
> >> > >> > > > BUILD FAILED
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/build.xml:431: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:685: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/build.xml:664: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/solr/common-build.xml:471: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:1767: The following error occurred while executing this line:
> >> > >> > > > /home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/common-build.xml:682: Unable to initialize POM pom.xml: Could not find the model file '/home/jenkins/jenkins-slave/workspace/Lucene/Lucene-Solr-SmokeRelease-8.x/lucene/build/poms/solr/contrib/gcs-repository/pom.xml'. for project unknown
> >> > >> > > >
> >> > >> > > > Total time: 7 minutes 13 seconds
> >> > >> > > > Build step 'Invoke Ant' marked build as failure
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Email was triggered for: Failure - Any
> >> > >> > > > Sending email for trigger: Failure - Any
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > > > Setting JDK_1_9_LATEST_HOME=/home/jenkins/tools/java/latest1.9
> >> > >> > >
> >> > >> > > ---------------------------------------------------------------------
> >> > >> > > To unsubscribe, e-mail: [hidden email]
> >> > >> > > For additional commands, e-mail: [hidden email]
> >> > >> > >
> >> > >>
> >> > >> ---------------------------------------------------------------------
> >> > >> To unsubscribe, e-mail: [hidden email]
> >> > >> For additional commands, e-mail: [hidden email]
> >> > >>
> >> >
> >> > ---------------------------------------------------------------------
> >> > To unsubscribe, e-mail: [hidden email]
> >> > For additional commands, e-mail: [hidden email]
> >> >
> >>
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: [hidden email]
> >> For additional commands, e-mail: [hidden email]
> >>
> >

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]